package com.gingersoft.gsa.cloud.pay.device.pos.bbpos;

import androidx.fragment.app.FragmentManager;
import com.gingersoft.gsa.cloud.pay.RequestParms;
import com.gingersoft.gsa.cloud.pay.device.pos.PosCommand;

/**
 * @作者: bin
 * @創建時間: 2021-04-14 12:08
 * @更新時間: 2021-04-14 12:08
 * @描述:
 */
public class BBPosCommandImp implements PosCommand {

    private static BBPosCommandImp sBBPosDevice;

    public static BBPosCommandImp newInstance() {
        if (sBBPosDevice == null) {
            sBBPosDevice = new BBPosCommandImp();
        }
        return sBBPosDevice;
    }

    private BBPosCommandImp() {

    }

    @Override
    public void showActionDialog(FragmentManager fragmentManager, RequestParms requestParms) {

    }

    @Override
    public void void0(Object params) {

    }

    @Override
    public void tip(Object params) {

    }

    @Override
    public void retrieval(Object params) {

    }

    @Override
    public void printStub(Object params) {

    }

    @Override
    public void settlement(Object params) {

    }

    @Override
    public void pay(Object params) {

    }

    @Override
    public void refund(Object params) {

    }
}
